Bug 1663893 - CVE-2018-1000877 CVE-2018-1000878 CVE-2018-1000879 CVE-2018-1000880 libarchive: various flaws [fedora-all]
Summary: CVE-2018-1000877 CVE-2018-1000878 CVE-2018-1000879 CVE-2018-1000880 libarchiv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libarchive
Version: 29
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ondrej Dubaj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-1000879 CVE-2018-1000880 CVE-2018-1000877 CVE-2018-1000878
TreeView+ depends on / blocked
 
Reported: 2019-01-07 09:38 UTC by Andrej Nemec
Modified: 2019-04-17 09:30 UTC (History)
5 users (show)

Fixed In Version: libarchive-3.3.3-6.fc29 libarchive-3.3.3-6.fc30 libarchive-3.3.3-6.fc28
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-25 06:05:20 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2019-01-07 09:38:56 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2019-01-07 09:38:58 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1663887,1663889,1663890,1663892,1663893

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-03-21 08:46:15 UTC
libarchive-3.3.3-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c595a93536

Comment 3 Fedora Update System 2019-03-21 08:46:25 UTC
libarchive-3.3.3-6.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fbe83d0e32

Comment 4 Fedora Update System 2019-03-21 08:46:36 UTC
libarchive-3.3.3-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0233ec0ff3

Comment 5 Fedora Update System 2019-03-21 19:12:34 UTC
libarchive-3.3.3-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fbe83d0e32

Comment 6 Fedora Update System 2019-03-21 21:19:10 UTC
libarchive-3.3.3-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0233ec0ff3

Comment 7 Fedora Update System 2019-03-25 06:05:20 UTC
libarchive-3.3.3-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-03-29 19:18:57 UTC
libarchive-3.3.3-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-05 01:54:52 UTC
libarchive-3.3.3-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.